apiVersion: batch/v1
kind: Job
metadata:
  name: job1
spec:
  template:
    spec:
      containers:
      - name: job1
        image: perl
        command: ["printenv"]
      restartPolicy: Never
  backoffLimit: 4